version: '3'
services:
    cache:
        image: memcached
    db:
        image: mariadb
        volumes:
            - ./configuration:/docker-entrypoint-initdb.d
        environment:
            MYSQL_ROOT_PASSWORD: toor
            MYSQL_DATABASE: glitchcity
    web:
        build: .
        volumes:
            - ./userdata:/userdata
            #- ./configuration:/configuration
            #- ./application:/application
        ports:
            - "8001:80"
        links:
            - db
            - cache
        environment:
            GCL_DB_HOST: db
            GCL_DB_NAME: glitchcity
            GCL_DB_USER: root
            GCL_DB_PASSWORD: toor
            GCL_FORUMS_URL: http://localhost:8001/forums
            GCL_WIKI_URL: http://localhost:8001/wiki
            GCL_MEMCACHED_HOST: cache
            GCL_SMTP_HOST: mail.gandi.net
            GCL_SMTP_USER: no-reply@monarch-pass.net
            #GCL_SMTP_PASSWORD: smtp-password-here
